
QGIS Application - Bug report #9069

Add PostGIS Table(s) Set Filter non-functional

2013-11-15 03:36 PM - Damian Bradley

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:2.0.1 Regression?: No

Operating System: x86 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 17715

Description

Applies to v2.x.x including most recent weekly build, worked previously in v1.8+

When attempting to filter data while adding a PostGIS table, the filter returns and loads all records regardless of values specified in the

"where" clause (tested to include values which should not return any records based on a where clause).  Filter works from the TOC

context menu after data has been loaded.

Thanks,

Damian Bradley

History

#1 - 2013-11-16 05:12 AM - Giovanni Manghi

- Target version set to Future Release - High Priority

- Priority changed from High to Normal

- Status changed from Open to Feedback

- Category changed from Browser to Data Provider/PostGIS

It works fine here, tested on both linux and windows.

#2 - 2014-06-23 04:34 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback.
